Subject: RE: [SIP] SIP and soft hand-off

From: Larry Cox <[email-masked]>
Date: Wed, 12 Apr 2000 14:19:59 -0700

Brian Rosen wrote:
> ...
>
>It is entirely inappropriate for any session level protocol, let alone
>session establishment protocols, to have knowledge that the end
>device is mobile.  It's like having the protocol have to know
>whether they are on a LAN or a WAN.  Somewhere, someone cares,
>but it shouldn't be SIP!
>
>Brian

I am glad that I am not alone. I had begun believing that we had lost sight
of the objective of having a layered protocol. If we cannot localize the
knowledge of delivery addresses, we have probably broken the protocol and
will have to go back and start over as soon as the next major evolutionary
change happens. It appears to me that if we have chosen to use UDP and TCP,
the necessity of having IP and the associated IP addresses underneath it
should be explicitly rejected. Some other protocol should be allowed at
that level if it works better. In the same sense that HDLC works best in
some spaces and Ethernet works better in others. If we are keeping the type
of network hardware separate form the application level, it is highly
illogical that we should expect the app to know about changes required for
mobility. Someone pointed out that simultaneous arrival of duplicate frames
is important for soft handoff. Should the SIP application be tasked with
tracking the transmission delay for multiple routes in order to make this
happen? If we get carried away and make the protocol monolithic there will
be very little chance for it to succeed.

Larry

======================================

Larry Cox
Senior Software Engineer

Cirilium Inc.            Phone: (480) 317-1115
1615 S. 52 St.           Fax:   (480) ???-????
Tempe, AZ 85281-6233     Web:    www.cirilium.com
USA

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: "Glenn Morrow" <[email-masked]>
Date: Thu, 13 Apr 2000 08:15:53 -0500

I honestly think this topic should be discussed in another WG, which WG is
something for others (IAB, Area Directors) to decide.

> -----Original Message-----
> From:	Larry Cox [SMTP:[email-masked]]
> Sent:	Wednesday, April 12, 2000 4:20 PM
> To:	[email-masked]
> Subject:	RE: [SIP] SIP and soft hand-off
> 
> Brian Rosen wrote:
> > ...
> >

---

From: "Glenn Morrow" <[email-masked]>
Date: Thu, 13 Apr 2000 10:11:54 -0500

While this is pretty much the current state of affairs, I would like to
point out even the SIP terminal mobility solution affects more than one
protocol. 

Changes to both SIP and to DHCP and I suspect IP itself are needed. The IETF
also standardizes PPP extensions for address assignment and agent discovery,
etc.. 

Address assignment, VPN support, NATs, Firewalls, policy metrics, multicast
and routing in general are all affected by the mobility solution. 

The point is that mobility solutions can affect more than one protocol. 

The decomposition of a PSTN gateway has led us to the advantage of this
particular solution for a particular business case - namely legacy
circuit-based cellular. This same decomposition led us into Megaco I might
add.

If the IAB wants to solve just this business case, then so be it. If they
want to do more then so be it. Either way more than one protocol is
affected. Right now the solution is being worked adhoc in multiple WGs. 

If this is the correct way to proceed, I have no problem with it. 

> From:	Roy, Radhika R, ALARC [SMTP:[email-masked]]
> Sent:	Thursday, April 13, 2000 8:51 AM
> To:	Morrow, Glenn [RICH2:C301:EXCH]; [email-masked]
> Hi, Everyone:
> I feel that it will be conflicting if we discuss this in another WG
> because
> of the following:
> 
> 1. To support mobility in the application layer for session layer, it will
> require to extend the SIP.
> 2. SIP WG  has the sole authority to see whether the extension for
> mobility
> in SIP is consistent with the overall architecture.
> 3. SIP is the control protocol for all networking environments.
> 
> The only thing that I can foresee is: To form a separate sub-group within
> the SIP so that SIP WG can see the overall consistency in extensions.
> 
> Best regards,
> 
> Radhika R. Roy
> AT&T
> 
> > From:	Glenn Morrow [SMTP:[email-masked]]
> > Sent:	Thursday, April 13, 2000 9:16 AM
> > <http://lists.bell-labs.com/mailman/listinfo/sip> 
> > 
> 
>

---

From: "Roy, Radhika R, ALARC" <[email-masked]>
Date: Thu, 13 Apr 2000 12:22:45 -0400

Hi, Everyone:

We are concentrating to extend SIP to support mobility - I guess that it
clear. It is an application protocol. SIP WG is chartered for this because
SIP is applicable for all networking communications environments.

Even now, we are discussing SIP in the context of NATs, firewalls, etc.
whether there is a mobility or not. It is the nature of on-going standard
works because people like to use it in many situations. In fact, it is a
healthy state of business because it proves the popularity of SIP to be a
real one - not just niche market.

Let us NOT predict something based on unnecessary fear. Today, we are taking
care-of how SIP's extensions are affecting the works of MMUSIC, IPTEL, etc.
It is a nature of standard works. We have not even decided what needs in SIP
to support mobility. Once we know this, we will go step by step as we do for
other cases.

In SIP WG, we will concentrate for extensions of SIP to support mobility
only.

Hope this will further clarify.

Best regards,
Radhika R. Roy
AT&T

PS: MEGACO is different story - it is a stand-alone case all by itself. It
can be used by SIP if needed. 

> Sent:	Thursday, April 13, 2000 11:12 AM
> Changes to both SIP and to DHCP and I suspect IP itself are needed. The
> IETF also standardizes PPP extensions for address assignment and agent
> discovery, etc.. 
> 
> Address assignment, VPN support, NATs, Firewalls, policy metrics,
> multicast and routing in general are all affected by the mobility
> solution. 
> 
> > < <http://lists.bell-labs.com/mailman/listinfo/sip>> 
> > 
> 
>

---

From: "Roy, Radhika R, ALARC" <[email-masked]>
Date: Thu, 13 Apr 2000 12:49:42 -0400

Chris:

I disagreed with you that we should not keep our solution assuming that all
mobility related things will be transparent to the appln. (e.g., H.323)
layer.

The work H.323 mobility is going-on. All renown companies that are building
mobility related equipment throughout the world are a part of it.

Now there are internet-drafts related to SIP mobility as well.

Let me clarify: If the network point of attachment is NOT changed, there is
almost (some non-real-time mobility management may be needed) no need to do
anything in the application layer (e.g., SIP, H.323). But it is only a
special situation.

In many situations, it may not be possible. We are addressing those from
mobility management point of view. There can be two aspects of this: 1.
Should we consider hand-off in the appln layer? 2. Should we consider NO
handoff in the appln layer?

I hope that we could agree that the mobility solution would be transparent
to the application layer (we could save our time)!

Best regards,
Radhika

> From:	Chris Wayman Purvis [SMTP:[email-masked]]
> Sent:	Thursday, April 13, 2000 12:28 PM
> To:	Roy, Radhika R, ALARC
> Cc:	Stephen Terrill; Baba, S.; [email-masked]
> Subject:	Re: [SIP] SIP and soft hand-off
> 
> Radhika,
> 
> Would you like to take this view back to the ITU (SG16), where you
> disagreed
> with the same point when I made it about H.323 to try to save people the
> vast
> amounts of unnecessary work they're doing there on mobility?
> 
> Regards,
> Chris
> 
> "Roy, Radhika R, ALARC" wrote:
> > 
> > Hi, Baba and Steve:
> > 
> > I guess that Steve is right.
> > 
> > Let us keep the activities of the lower layer (e.g., link/network)
> separate
> > from the application layer (e.g., SIP) as far as practicable.
> > 
> > For example, if the network layer address (e.g., IP address) is not
> changed
> > during the soft-handover why should we bring that abstraction to the
> > application layer (e.g., SIP)?
> > 
> > Best regards,
> > Radhika R. Roy
> > AT&T
> > +1 732 420 1580
> > [email-masked]
> > 
> > > From: Stephen Terrill [SMTP:[email-masked]]
> > > Sent: Wednesday, April 12, 2000 5:13 AM
> > > To:   Baba, S.
> > > Cc:   [email-masked]
> > > Subject:      Re: [SIP] SIP and soft hand-off
> > >
> > > Hi Baba,
> > >
> > > I am not sure that I understand the requirements as discussed here.  I
> > > understand that the technology independance requirement, and quite
> like
> > > that, however I don´t understand the need of the SIP protocol level to
> be
> > > involved in the Soft hand-off.  I would have expected that the soft
> > > hand-off would be entirely within the "access network" (the mobile
> network
> > > technology), from the prespective of the SIP applications.  As such,
> the
> > > application shouldn´t even be aware of the hand-overs (won´t even
> change
> > > IP address).
> > >
> > > Regards,
> > >
> > > ..//steve
> > >
> > > "Baba, S." wrote:
> > >
> > > > Folks,
> > > >
> > > > Thank you for your attention to my presentation of
> > > > our mobility management requirement in Adelaide.
> > > >
> > > > Let me add a brief explanation about a relation between
> > > > SIP and wireless soft hand-off, since I feel I didn't answer
> > > > raised questions well. Please read the related part (4.1)
> > > > of our revised draft <draft-itsumo-sip-mobility-req-01> also.
> > > >
> > > > First, we believe that the requirement wireless
> > > > 'technology-independent" is very important principle.
> > > > At the same time, the soft hand-off is one of the key
> > > > technology promising high efficiency for the CDMA-based
> > > > wireless system. So any protocol on top of the wireless
> > > > shall not break the soft hand-off capability in the
> > > > wireless part. These are our basic assumptions.
> > > >
> > > > The soft hand-off has some aspects like giving smooth hand-off
> > > > taking several tens seconds or more for the radio path change
> > > > and giving more than one radio paths during the hand-off.
> > > > If the soft hand-off is handled in the L2 only or below
> > > > L3 and doesn't affect the upper layer process, it is no
> > > > problem with SIP.
> > > >
> > > > But if we consider the future RAN using IP transport,
> > > > SIP User Agent and/or Proxy Server may need a process
> > > > to support the mobility management on top of the soft hand-off.
> > > > Because SIP controls smooth hand-off of its IP sessions.
> > > >
> > > > Although the details are still open issues, this is the
> > > > basic consideration about the soft hand-off.
> > > > Any questions and comments are welcomed.
> > > >
> > > > Thank you.
> > > >
> > > > Baba//
> > > > -----
> > > > Shinichi Baba
> > > > Toshiba America Research, Inc. (TARI)
> > > > Mail-To: P.O.Box 136 Convent Station, NJ 07961-0136
> > > > Location: 445 South St. Suite 1B259B, Morristown, NJ 07960
> > > > Phone: (973) 829-4795/ Fax: (973) 829-5601
> > > > Email: [email-masked]
> > > >
> -- 
> Dr Chris Purvis -- Development Manager
> ISDN Communications Ltd, The Stable Block, Ronans, Chavey Down Road
> Winkfield Row, Berkshire.  RG42 6LY  ENGLAND
> Phone: +44 1344 899 007
> Fax:   +44 1344 899 001

---

From: Marcelo San Martin <[email-masked]>
Date: Thu, 13 Apr 2000 10:15:10 -0700

I think another very important issue here is how to keep a given QoS for a
established call, how do we guarantee the current QoS of at the next
location? maybe there will not be enough bandwidth at that point and the
hand-off will fail anyway.  

-----Original Message-----
From: Michael Thomas [mailto:[email-masked]]
Sent: Wednesday, April 12, 2000 5:27 PM
To: Rosen, Brian
Cc: 'Dean Willis'; Stephen Terrill; Baba, S.; [email-masked]
Subject: RE: [SIP] SIP and soft hand-off

 > whether they are on a LAN or a WAN.  Somewhere, someone cares,

Brian,

I think the more interesting question is what you
do when there is no end to end transparency. In
particular, what do you do when you have non-IP
mobile devices which are proxied by IP devices
which terminate the RTP flows into something
else. Sound like anything familiar?

In that case, end to end transparency is already
fogged and it's not entirely clear that mobile IP
is the right answer; it could just as easily be
modeled as a decomposed trunking situation where
the application layer MGC deals with the hard
handoffs. In this case, I don't think you are
inventing unreasonable application layer mobility
awareness since any SIP needs to have the ability
to deal with mid-call SDP changes (codecs, if
nothing else). The mobile SIP on the other hand
could deal with the hows and whens of the handoff
burden but that's not an unreasonable thing to
ask; in fact it's a feature, not a bug that a SIP
application could manage mobility in this way.

		Mike

---

From: "Roy, Radhika R, ALARC" <[email-masked]>
Date: Thu, 13 Apr 2000 15:17:00 -0400

Hi, Everyone:

Yes, it is right that QOS issues need to be addressed. We may proceed as
follows:

1. First, let us see how SIP can support mobility while a mobile user moves
from one place to another (e.g., maintain the session level connectivity).
2. Second, how the QOS is maintained in the mobile environment.

We are addressing the first one for now.

For QOS, we are waiting to see the final standard of SIP that supports QOS
considering the fixed environment. When it is complete, we can then use it
for extension in mobile environment (I hope that we can do although it is a
complex problem).

However, when the two endpoints do not support the same level of QOS, they
may fall back to the common denominator (e.g., best-effort). It may be true
for both fixed and mobile environment. In mobile environment, there may be
additional requirements. For example, service providers may have to make
apriori agreement what will happen if the same level of QOS is not provided.

Best regards,
Radhika R. Roy
AT&T

> From:	Marcelo San Martin [SMTP:[email-masked]]
> Sent:	Thursday, April 13, 2000 1:15 PM

---

From: [email-masked]
Date: Fri, 14 Apr 2000 16:41:19 -0500

Hello Baba,

>Hi Basavaraj,
>
>In SIP, there is a 're-invite' scheme which makes
>user mobility available. I think this is more powerful
>than the network layer hand-off in some cases.
>So I'm not sure that all user/application requirement
>is satisfied with the network layer hand-off.
>
>Then a question comming up to me is,
>Are you suggesting the need of cooperation between
>SIP/application layer and the network layer mobility
>management protocol?
>or the solution in the network layer only for all
>problem with mobility?
>

Thinking aloud, there is definitely a need for cooperation between the 
SIP WG and the Mobile IP WG to arrive at some conclusions regarding
mobility in SIP.

-Basavaraj

>I just want to understand what you said.
>Thank you.
>
>baba//

---

From: "Ashutosh Dutta" <[email-masked]>
Date: Fri, 14 Apr 2000 19:01:01 -0400

Stephen, agreed that soft-hand  is mostly dealt with  at layer two, however if
the IP-enabled Mobile station  is moving between adjacent cells where each cell
belongs to a different subnet (subnet mobility) within a domain, soft-hand off
can be emulated (achieved) at layer 3 by using IP multicast from the immediate
first hop router within a domain, and layer two soft handoff may not be needed
at that point. Things would be bit different if each adjacent cell belongs to a
different domain however.

If we are using using SIP as a signaling mechanism for wireless end-points, it
could be used to trigger that soft-hand off emulation at the first hop router
level.

Regards
Ashutosh

Stephen Terrill <[email-masked]> on 04/13/2000 03:37:31 AM

To:   "Baba, S." <[email-masked]>
cc:   [email-masked], [email-masked] (bcc: Ashutosh
      Dutta/Telcordia)
Subject:  Re: [SIP] SIP and soft hand-off

Hi,

Perhaps out of all of the replies, this is the most appropriate to respond to.

It is interesting that it is pointed out here that for some of the popular
archectures where this is being considered that the soft hand-over doesn

´t come
into the process as it happens at layer 2.  It is also interesting to not that a
significant portion of those archectures do run on top of IP.  I think that it
is required to remember where the IP network that the Application in the mobile
terminal sees actually is - it is not necessary the IP network that is used to
run the RAN.

Regards,

..//steve

"Baba, S." wrote:

> Hi Steve and Radhika,
>
> Thank you for your comments.
>
> First of all, I agree with you that SIP needs to do nothing in
> any case if IP address of Mobile Station (MS) is not changed.
>
> And I also agree with both of you in the case of certain (and maybe
> popular) architecture, e.g. the one on which 3GPP or 3GPP2 is
> working right now. Because in this case the soft hand-off is
> completely processed in or under the layer 2 and MS can not
> distinguish if it is the hard hand-off or the soft hand-off from
> upper layers.
>
> As Faramak mentioned in his reply, we are looking at the future RAN
> which will use the IP even for its transport method, i.e. IP
> in the RAN or IP to the BTS, at the same time. Even in this case,
> the mobility management by SIP shall not break the soft hand-off
> process using IP communication. That is the point where we are
> thinking as one of the important principles.
>
> Regards,
>
> baba//
>

---

From: "Roy, Radhika R, ALARC" <[email-masked]>
Date: Fri, 14 Apr 2000 20:51:38 -0400

Please see my comments below <RRR>:

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, April 14, 2000 4:11 PM
To: Roy, Radhika R, ALARC
Cc: [email-masked]
Subject: RE: [SIP] SIP and soft hand-off

Comments below:

>Now there are internet-drafts related to SIP mobility as well.
The SIP WG charter does not currently include mobility solutions in
it's scope. However mobility support will be a key aspect of evolving
networks and there is a specific WG in the IETF which deals with it -
Mobile IP.
<RRR> Please see my earlier email why this work should be done in the SIP
WG.

>mobility management point of view. There can be two aspects of this: 
> 1.Should we consider hand-off in the appln layer? 
No. 

<RRR> I would be happy to do so if possible because the less work is better.
Do the technical contributions support this?

>2. Should we consider NO handoff in the appln layer?
The Mobile IP WG is currently debating multiple I-Ds that propose
handoffs at the network layer. If at all handoffs are to be moved to
upper layers (from link/physical layers) then it may be optimal to do
it at the network layer. 
<RRR> I would be happy to see the technical contributions how they provide
the solution in the link and/or application layer without affecting the SIP
layer. Even if the hand-off is provided in the lower layer, there are other
things as well - location updates. How this affects the SIP application
layer need to be seen. It appears the SIP layer will be involved as it is
seen from the present contributions.

-Basavaraj

---

From: Rohan Mahy <[email-masked]>
Date: Fri, 14 Apr 2000 20:37:56 -0700

At 05:39 PM 4/14/00 , Roy, Radhika R, ALARC wrote:
>Hi, Everyone:
>
>My comments are as follows:
>
>1. We are extending SIP to support mobility in the application layer. So,
>SIP WG is the right place. The SIP WG is the only group that knows what to
>do the SIP protocol in the application layer.

Hi,

Who is the "we" here?  To be specific, has this been formally included as a 
topic for the SIP WG?  If so, I doubt that anyone assumed soft-handoff 
would be considered as part of the scope of "mobility".

thanks,
-rohan

---

From: jose <[email-masked]>
Date: Mon, 17 Apr 2000 20:42:01 +0300 (EET DST)

Hi all,

Dear colleagues, I am following the SIP development and now regarding the 
mobility problem I would like to point out some situations in a SIP 
environment.

In all the cases treated till now all the SIP UA have the REGISTER 
capability and they can find using one or other way (DHCP, SLP) the closest 
registrar server to make the registration.

The problem here arise when we are dealing with a plain UA with the simplest 
capabilities (not including REGISTER). In this case how could notify the UA 
its location to other entities. How can be that UA available to others UA or 
proxies if it has not been registered anywhere?
This is the specific case when an IP device obtain its mobile address starts 
using it for other needs. Initially, it has assigned a mobile IP address for 
other matters and afterwards it launch the SIP UA in case someone wants to 
call him, but that UA has not been registered anywhere.

In the case that we have a complete implementation of the UA including the 
registration feature but the nearest SIP proxy does not have that 
capability, we find the same problem again.

In resume, I am wondering if there is any mean to locate an IP device 
independently if is for IP telephony, mail service, or whatever?

Any suggestion about any solution or clue about any working group related to 
these problems would be welcome.

Thanks
Best Regards
Jose

---

From: Jörgen Björkner <[email-masked]>
Date: Tue, 18 Apr 2000 11:03:21 +0200

Hi,
My assumption is that a user "belongs" to a registrar server, the "home"
registrar server", that is operated by a service provider that is providing
the users SIP address. The SIP address points out the registrar server
through DNS for incoming INVITE messages. The problem is now how to forward
these messages to the users current location. This is done to by using the
information from for example a REGISTER message from the user. 

DHCP could be used to find registrar servers within the domain where the
user's phone currently is present. A useful scenario for this is when an ISP
is also acting as SIP service provider and wants to deploy phones to be used
on their access. Then could these phones get automatically configured via
the DHCP options and thereby get the address of their registrar server.

In the case when you have a UA implementing the REGISTER method but doesn't
know the nearest proxy you could assume that you know the address of your
home registrar server, analogous how you know about your mail server. This
information could be sent to you when you got the subscription, or
information on a SIM card etc. The register messages could be sent directly
to this network assumed that there is no firewalls in between. 

In the case of firewalls you first might have to contact a SIP server in the
domain where you currently are for authorization to let you through the
firewall. This server would then act as a proxy and forward your
registration message to your home registrar server. The proxy server in the
visited domain might be found with SLP or DHCP if you got the IP address
from this domain.

The case with a simple UA not implementing REGISTER could be solved if SIP
and mobile IP are provided by the same service provider. I am not a mobile
IP expert, so correct me if I am wrong...
The solution relies on either static mobile addresses per user or that there
is a server providing a dynamic mobile address that is fixed through the
whole mobile session, even when the user is moving around between networks.
In the first case could this static address be hard wired into the users
home registrar server the time the account is set up. In the second case
could the entity providing mobile addresses update the registrar server with
the current mobile address that an user is available on.

//Jörgen

-----Ursprungligt meddelande-----
Från: jose [mailto:[email-masked]]
Skickat: den 17 april 2000 19:42
Till: [email-masked]; [email-masked]; [email-masked]
Ämne: Re:[SIP] SIP and soft hand-off

Hi all,

Thanks
Best Regards
Jose

---

From: "Roy, Radhika R, ALARC" <[email-masked]>
Date: Tue, 18 Apr 2000 08:02:15 -0400

Hi, Rohan:

Pl. see my comments below <RRR>.

Thanks,
Radhika R. Roy
AT&T

-----Original Message-----
From: Rohan Mahy [mailto:[email-masked]]
Sent: Friday, April 14, 2000 11:38 PM
To: Roy, Radhika R, ALARC
Cc: [email-masked]; [email-masked]
Subject: RE: [SIP] SIP and soft hand-off

Hi,

<RRR> "We" means the members who are interested for extension of SIP to
support mobility as some discussion was held based on the internet draft in
the last IETF meeting. Yes, "soft-handoff" may not be a part of SIP mobility
if it does not affect the application (i.e., SIP) layer.

thanks,
-rohan

---

From: jose <[email-masked]>
Date: Tue, 18 Apr 2000 21:49:25 +0300 (EET DST)

Hi Jorgen,

Thanks for your description for each case.
See my comments below.

> and mobile IP are provided by the same service provider. 

That is the particular case that I wanted point out, when ISP does not 
provide any SIP server and the UA don't have any way to advice its old proxy 
server that it has changed the location.

Thus, is there any other Location mechanism to locate this UA?

In the new location the UA has been assigned an IP address in a domain where 
there isn't any SIP proxy available and the UA does not have implemented the 
REGISTRAR feature.

Is it possible that ISP once has assigned the mobile IP address has any mean 
to locate the user device and its capabilities (UA or H.323 end device) and 
let others ISP know that this UA is on its domain?

Then, when any remote UA wants to set up the call to that UA it can address 
the signaling directly to the address assigned by the Local ISP to that UA.

>I am not a
>  mobile

Here we could have almost the same situation. If ISP providing mobile IP has 
not implemented SIP service, how can notify the UA local registrar that the 
UA is now on its domain?

Maybe I am too much exigent in deploying this scenarios but I just was 
wondering if exist any "Swiss Army Knife" mechanism to locate each user 
despite its situation and  Signaling protocol is using for setting up a 
phone call. Just locating the user location, IP address assigned and end 
device capabilities and then let know to other ISPs that it has that 
information available. Thus, that device would be globally available.

Thanks Jörgen for your help and let me know if you have any clue for this 
situation or there are any other working group that are working on that kind 
of issue.

Thanks a lot.

Best Regards
Jose

---

From: [email-masked]
Date: Thu, 20 Apr 2000 10:45:41 +0100

One slightly more complex case would be where the user has bought his SIP
address from a vanity name provider, and the vanity name provider forwards all
requests on to his real SIP server, which is the server he registers with.

Simon Barber

J

örgen Björkner <[email-masked]> on 18/04/2000 10:03:21

To:   "'jose'" <[email-masked]>
      [email-masked]
cc:    (bcc: Simon BARBER/EN/HTLUK)

Subject:  SV: [SIP] SIP and soft hand-off

Hi,

//J

örgen

-----Ursprungligt meddelande-----
Från: jose [mailto:[email-masked]]
Skickat: den 17 april 2000 19:42
Till: [email-masked]; [email-masked]; [email-masked]
Ämne: Re:[SIP] SIP and soft hand-off

Hi all,

Thanks
Best Regards
Jose